VisualPart subclass:#CompositePart
	instanceVariableNames:'components preferredBounds'
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Display Objects'
!

!CompositePart class methodsFor:'documentation'!

documentation
"
    a dummy class - only existing to provide a compatible home
    for fileIn of ST-80 classes.

    Notice: 
        this class was implemented using protocol information
        from alpha testers, from reading PD programs and 
        from the Hopkins/Horan book.
        - it may not be complete or compatible to the corresponding ST-80 class. 
        If you encounter any incompatibilities, please forward a note 
        describing the incompatibility verbal (i.e. no code) to the ST/X team.

    [author:]
        Claus Gittinger
"




! !

!CompositePart methodsFor:'accessing'!

components
    "return the components"

    ^ components

    "Created: 14.2.1997 / 17:57:23 / cg"
    "Modified: 14.2.1997 / 17:57:32 / cg"
! !

!CompositePart methodsFor:'adding-removing'!

add:aComponent
    components add:aComponent

    "Created: 14.2.1997 / 17:57:59 / cg"
!

add:aComponent at:aPoint
    aComponent origin:aPoint.
    components add:aComponent

    "Created: 14.2.1997 / 17:58:19 / cg"
! !

!CompositePart class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/CompositePart.st,v 1.1 1997-01-14 16:59:34 cg Exp $'
! !
